Bug 65074 - FORMATTING: cells with with conditional formatting sometimes show the numbers not centered and without points; cell borders are not shown
Summary: FORMATTING: cells with with conditional formatting sometimes show the numbers...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: highest normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.2.5
Keywords:
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2013-05-28 10:09 UTC by squeezechart
Modified: 2015-05-03 21:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description squeezechart 2013-05-28 10:09:13 UTC
Problem description: 

cells with with conditional formatting sometimes show the numbers not centered and without points; cell borders are not shown (see for example I13 to I21..)

Steps to reproduce:

Spreadsheet can be downloaded here:

http://www.squeezechart.com/SqueezeChart2013-preview.xlsx

screenshot from Excel:

http://www.squeezechart.com/spreadsheet-in-Excel-15.0.4420.png

screenshot from LibreOffice:

http://www.squeezechart.com/spreadsheet-in-LibreOffice-4.0.0.1.png


Current behavior:

cells with with conditional formatting sometimes show the numbers not centered and without points; cell borders are not shown

Expected behavior:

All cells in the main table must contain centered numbers with thousand points.              
Operating System: Windows 8
Version: 4.0.3.3 release
Comment 1 ign_christian 2013-06-07 16:49:03 UTC
confirm same behavior on LO 4.0.4.1 (Win7 32bit)

> cells with with conditional formatting sometimes show the numbers not
> centered and without points; cell borders are not shown
I think this should be separated to 3 bugs :-)
Comment 2 Thomas van der Meulen 2013-06-21 08:50:52 UTC
Thank you for jour bug report, I can reproduce this bug running LibreOffice Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 on mac os x 10.6.8.
Comment 3 Björn Michaelsen 2014-02-12 11:41:50 UTC
Setting MAB priority.
Comment 4 Mike Kaganski 2014-02-21 10:53:58 UTC
It may be irrelevant (and I don't want to diminish its importance at all), but how could be a bug reported against 4.0 be 4.2 MAB, when 4.1 isn't yet EOL?
Comment 5 Markus Mohrhard 2014-04-05 18:33:30 UTC
(In reply to comment #4)
> It may be irrelevant (and I don't want to diminish its importance at all),
> but how could be a bug reported against 4.0 be 4.2 MAB, when 4.1 isn't yet
> EOL?

I don't understand why the bug deserves to be a MAB at all. Such bugs are the reason I no longer look at MAB bugs and prefer to work on really important bugs.
Comment 6 Kohei Yoshida 2014-05-16 21:51:59 UTC
I13:I21 look correct to me with my 4.2.5 build.
Comment 7 Kohei Yoshida 2014-05-16 22:00:07 UTC
Most likely one of the many fixes that went in since the initial report fixed this apparently.  Not sure when exactly this was fixed, but at least 4.2.5 will function correctly.
Comment 8 Kohei Yoshida 2014-05-16 22:00:56 UTC
And note: before you get the urge to reopen, make sure you test 4.2.5 first.